Bug 128198 - update port: games/gemrb to latest version
Summary: update port: games/gemrb to latest version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-18 11:30 UTC by Timothy Beyer
Modified: 2008-10-19 16:30 UTC (History)
1 user (show)

See Also:


Attachments
Makefile.diff (542 bytes, patch)
2008-10-18 11:30 UTC, Timothy Beyer
no flags Details | Diff
pkg-plist.diff (9.79 KB, patch)
2008-10-18 11:30 UTC, Timothy Beyer
no flags Details | Diff
file.diff (988 bytes, patch)
2008-10-18 11:30 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2008-10-18 11:30:00 UTC
This patch makes the following changes:

-Update gemrb to the latest version
-Makes according changes to distinfo
-Removes --with-openal switch because gemrb complains if it is directly specified

Fix: The included patches

--- distinfo.orig	2008-06-22 14:48:03.000000000 -0700
+++ distinfo	2008-10-16 15:01:12.000000000 -0700
@@ -1,3 +1,3 @@
-MD5 (gemrb-0.3.0.tar.gz) = 047551c926e07622834a9df315c9d615
-SHA256 (gemrb-0.3.0.tar.gz) = 19254c0e12d360e243ad89c5aa87c81a72aee0f458c9f3988e383017b0053c91
-SIZE (gemrb-0.3.0.tar.gz) = 2070980
+MD5 (gemrb-0.3.1.tar.gz) = 10aa640262b1708aab67f6dcfbd6bb55
+SHA256 (gemrb-0.3.1.tar.gz) = a86488d4503db1507f223d697f8f3b1e8c12258d199fc100addf879efcdc6369
+SIZE (gemrb-0.3.1.tar.gz) = 2006224
--- distinfo.diff ends here ---
How-To-Repeat:     Apply the patches
Comment 1 Edwin Groothuis freebsd_committer 2008-10-18 11:30:10 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2008-10-18 13:18:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2008-10-19 16:26:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2008-10-19 16:27:00 UTC
miwi        2008-10-19 15:26:47 UTC

  FreeBSD ports repository

  Modified files:
    games/gemrb          Makefile distinfo pkg-plist 
  Removed files:
    games/gemrb/files    patch-configure 
  Log:
  - Update to 0.3.1
  
  PR:             128198
  Submitted by:   Timothy Beyer <beyert@cs.ucr.edu> (maintainer)
  
  Revision  Changes    Path
  1.3       +2 -3      ports/games/gemrb/Makefile
  1.2       +3 -3      ports/games/gemrb/distinfo
  1.2       +0 -10     ports/games/gemrb/files/patch-configure (dead)
  1.2       +19 -113   ports/games/gemrb/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"